## jmagick 6.2.4

=== src/magick/Makefile ===
#
# Source level Makefile for JMagick.
#
# NOTE: Define DESTDIR if you are not installing JMagick
#       to its final directories. This is meant for the
#       purpose of packaging.
#       Contributed by Adam Heath <doogie@brainfood.com>
#

include ../../Make.def

JAVA_SRC_FILES =				\
			Magick.java		\
			MagickException.java	\
			MagickApiException.java	\
			ExceptionType.java	\
			ProfileInfo.java	\
			PixelPacket.java	\
			ImageInfo.java		\
			ClassType.java		\
			ColorspaceType.java	\
			CompositeOperator.java	\
			CompressionType.java	\
			FilterType.java		\
			GeometryFlags.java	\
			GravityType.java	\
			DrawInfo.java		\
			ImageMagick.java	\
			DecorationType.java	\
			ImageType.java		\
			InterlaceType.java	\
			QuantizeInfo.java	\
			MontageInfo.java	\
			MagickImage.java	\
			NoiseType.java		\
			PaintMethod.java	\
			PreviewType.java	\
			PrimitiveType.java	\
			RenderingIntent.java	\
			ResolutionType.java	\
			XState.java		\
			MagickProducer.java	\
			MagickLoader.java	\
			MagickInfo.java

# JNI specifications
JNI_LIB_NAME    =	JMagick
JNI_SRC_FILES   =	PixelPacket.java	\
			ImageInfo.java		\
			QuantizeInfo.java	\
			DrawInfo.java		\
			MagickImage.java	\
			MontageInfo.java	\
			Magick.java		\
			MagickInfo.java
JNI_LINK_LIBS   =	$(MAGICK_LIBS)
JNI_EXTRAS      =	jmagick.c
INCLUDES        =	$(JAVA_INCLUDES) $(MAGICK_INCLUDES) $(X11_INCLUDES)

DIRS = util

CLEAN_LIST	=	$(JNI_LIB) $(LIB_DIR)/.libs

include ../../Make.rules

test:
	LD_LIBRARY_PATH=. java $(CLASS_PATH) magick.Test

extra-install::
	$(INSTALL) -d $(DESTDIR)$(libdir)
	$(LIBTOOL) --mode=install $(INSTALL) $(JNI_LIB) $(DESTDIR)$(libdir)

## jmagick 6.2.6

=== Makefile ===
#
# Toplevel Makefile for JMagick.
#
# NOTE: Define DESTDIR if you are not installing JMagick
#       to its final directories. This is for the purpose
#       of packaging.
#       Contributed by Adam Heath <doogie@brainfood.com>
#


MAKE_PATH = .
include $(MAKE_PATH)/Make.def

DIRS = src
JAR_FILE = $(LIB_DIR)/jmagick.jar
CLEAN_LIST = $(JAR_FILE)

all: dir default-target
	cd classes; jar cvf $(JAR_FILE) magick

include $(MAKE_PATH)/Make.rules

dir:
	@-mkdir -p $(PROJ_BASE_DIR)classes
	@-mkdir -p $(PROJ_BASE_DIR)obj
	@-mkdir -p $(PROJ_BASE_DIR)generated
	@-mkdir -p $(PROJ_BASE_DIR)lib

distclean: clean
	@-rm Make.def config.cache config.log config.status
	@-rm -rf $(JAVADOC_DIR)
	@-rm -rf autom4te.cache

javadoc:
	@-if [ -x "$(JAVADOC)" ]; then					\
		echo Generating Javadoc files ... ;			\
		$(INSTALL) -d $(DESTDIR)$(JAVADOC_DIR) ;				\
		$(JAVADOC) -author -version -d $(DEST)$(JAVADOC_DIR)    \
                      -sourcepath $(JAVA_SRC_DIR) magick magick.util ;	\
	else								\
		echo Unable to generate javadoc;			\
	fi

extra-install::
	$(INSTALL) -d $(DESTDIR)$(libdir)
	$(INSTALL) $(JAR_FILE) $(DESTDIR)$(libdir)

test:
	cd src/test; make test

=== src/Makefile ===
MAKE_PATH = ..
include $(MAKE_PATH)/Make.def

DIRS = magick test

include $(MAKE_PATH)/Make.rules

=== src/test/Makefile ===
include ../../Make.def

JAVA_SRC_FILES	=	MagickWindow.java Test.java Loop.java
CLEAN_LIST	=	copy.jpg blank.jpg copy_pics.jpg rotated.jpg \
			sheared.jpg quantized.png scaled.jpg cropped.jpg \
			chopped.jpg sharpened.jpg despeckled.jpg \
			convolved.jpg blob.jpg montage.jpg average.jpg \
			blob.gif transparent.png border.jpg raised.jpg \
			clone.jpg

include ../../Make.rules

# For Solaris and Linux, LD_LIBRARY_PATH sets the shared library path
# For Mac OS X, DYLD_LIBRARY_PATH sets the shared library path

test: default-target
	LD_LIBRARY_PATH=$(MAGICK_LIB_PATH):../../lib:$(LD_LIBRARY_PATH) DYLD_LIBRARY_PATH=$(MAGICK_LIB_PATH):../../lib:$(LD_LIBRARY_PATH) $(JAVA) -classpath $(JAVA_CLASS_PATH) test.Test

test2: default-target
	LD_LIBRARY_PATH=$(MAGICK_LIB_PATH):../../lib:$(LD_LIBRARY_PATH) DYLD_LIBRARY_PATH=$(MAGICK_LIB_PATH):../../lib:$(LD_LIBRARY_PATH) $(JAVA) -classpath $(JAVA_CLASS_PATH) test.Loop pics.jpg

rutest: default-target
	LD_LIBRARY_PATH=$(MAGICK_LIB_PATH):../../lib:$(LD_LIBRARY_PATH) DYLD_LIBRARY_PATH=$(MAGICK_LIB_PATH):../../lib:$(LD_LIBRARY_PATH) $(JAVA) -classpath $(JAVA_CLASS_PATH) test.RUTest

testxx: default-target
	LD_LIBRARY_PATH=$(MAGICK_LIB_PATH):../../lib:$(LD_LIBRARY_PATH) DYLD_LIBRARY_PATH=$(MAGICK_LIB_PATH):../../lib:$(LD_LIBRARY_PATH) $(JAVA) -classpath ImageMagickTest.jar:$(JAVA_CLASS_PATH) ImageMagick.ImageMagickTest

# This target may not work on Mac OS X
lddcheck: default-target
	LD_LIBRARY_PATH=$(MAGICK_LIB_PATH):../../lib:$(LD_LIBRARY_PATH) DYLD_LIBRARY_PATH=$(MAGICK_LIB_PATH):../../lib:$(LD_LIBRARY_PATH) ldd ../../lib/libJMagick.so

=== src/magick/util/Makefile ===
include ../../../Make.def

JAVA_SRC_FILES =				\
			MagickCanvas.java	\
			MagickViewer.java

include ../../../Make.rules

## jmagick 6.2.6-0

=== debian/changelog ===
jmagick (6.2.6-0-6) unstable; urgency=low

  * Bump Standards-Version to 3.8.4
  * Depend on default-jre-headless | java2-runtime-headless (Closes: #573381)

 -- Varun Hiremath <varun@debian.org>  Sat, 10 Apr 2010 17:29:09 -0400

jmagick (6.2.6-0-5) unstable; urgency=low

  [ Michael Koch ]
  * Fixed watch file to point to correct download location
    (Closes: #551207).
  * Adjusted debian/orig-tar.sh for new upstream layout.
  * Build-Depends on debhelper >= 7.
  * Added myself to Uploaders.
  * Updated Standards-Version to 3.8.3.

  [ Varun Hiremath ]
  * Switch to source format 3.0

 -- Varun Hiremath <varun@debian.org>  Sun, 24 Jan 2010 17:45:10 -0500

jmagick (6.2.6-0-4) unstable; urgency=medium

  * debian/control:
    + Use default-java-jdk in place of java-gcj-compat-dev.
  * debian/rules:
    + Switch JAVA_HOME location to /usr/lib/jvm/default-java.

 -- Kumar Appaiah <akumar@debian.org>  Sun, 27 Apr 2008 17:53:03 +0530

jmagick (6.2.6-0-2) unstable; urgency=medium

  * debian/control:
    + Add Vcs-Browser and Vcs-Svn fields.
    + Use debian.org e-mail address for maintainers.
    + Use quilt for patches.
    + Standards Version is now 3.7.3 (no changes needed).
  * debian/rules:
    + Explicitly call gcc in order for the build system
      to find the C compiler and build libJMagick.so.
      (Closes: #477015)

 -- Kumar Appaiah <akumar@debian.org>  Mon, 21 Apr 2008 06:46:12 +0530

jmagick (6.2.6-0-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Now binNMU safe (Closes: #437486).
    + The Debian Java maintainers adopt the package,
      taken over from Adam Heath (Closes: #429794).
    + Add Varun Hiremath and Kumar Appaiah as uploaders.
    + Add Homepage field.
    + Updated to use GCJ to build (Closes: #329104, #349564).
    + Move jmagick6-docs to doc section.
  * debian/rules:
    + Fully refactor to make it use cdbs.
  * debian/patches/01_fix_load_jnilib.patch
    + Ensure that the JNI interface is loaded.
  * debian/watch: Added.
  * debian/orig-tar.sh, debian/orig-tar.exclude:
    + Repackage scripts to remove unclean upstream tarball.
  * debian/README.Debian-source:
    + Explain why and how we are repackaging.
  * debian/copyright: Total rewrite.
  * debian/libjmagick6-java.examples:
    + Provide two test cases as examples.
  * debian/examples/Makefile:
    + To build and run the examples.
  * debian/README.Debian:
    + Directions on how to run the examples.

 -- Kumar Appaiah <akumar@ee.iitm.ac.in>  Tue, 16 Oct 2007 00:24:14 +0530

jmagick (6.2.4-1-1) unstable; urgency=low

  * New upstream version.
  * Add kaffe-dev to Build-Depends.  Closes: #329104.
  * No longer use find to clean the dirs.  Closes: #325411

 -- Adam Heath <doogie@brainfood.com>  Sun, 15 Jan 2006 23:30:17 -0600

jmagick (6.0.4-0-2) unstable; urgency=low

  * Fix problem when JMagick is not loaded thru the system classloader.

 -- Adam Heath <doogie@brainfood.com>  Wed, 17 Aug 2005 14:53:00 -0500

jmagick (6.0.4-0-1) unstable; urgency=low

  * Initial release.

 -- Adam Heath <doogie@brainfood.com>  Wed, 17 Aug 2005 14:27:52 -0500

=== debian/control ===
Source: jmagick
Maintainer: Debian Java maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Varun Hiremath <varun@debian.org>, Kumar Appaiah <akumar@debian.org>, Michael Koch <konqueror@gmx.de>
Section: graphics
Priority: optional
Standards-Version: 3.8.4
Build-Depends: debhelper (>= 7), cdbs, default-jdk-builddep, libmagick9-dev, autotools-dev, chrpath
Homepage: http://www.yeo.id.au/jmagick/
Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/jmagick
Vcs-Browser: http://svn.debian.org/wsvn/pkg-java/trunk/jmagick

Package: libjmagick6-java
Architecture: all
Section: java
Depends: ${misc:Depends}, libjmagick6-jni (>= ${source:Version}), default-jre-headless | java2-runtime-headless
Provides: jmagick
Description: A java interface to ImageMagick - java classes
 JMagick is an open source Java interface of ImageMagick.  It is
 implemented in the form of Java Native Interface (JNI) into the
 ImageMagick API.
 .
 JMagick does not attempt to make the ImageMagick API
 object-oriented. It is merely a thin interface layer into the
 ImageMagick API.
 .
 JMagick currently only implements a subset of ImageMagick APIs.
 Should you require unimplemented features in JMagick, please join the
 mailing list and make a request.

Package: jmagick6-docs
Section: doc
Architecture: all
Provides: jmagick-docs
Depends: ${misc:Depends}
Description: A java interface to ImageMagick - api documentation
 JMagick is an open source Java interface of ImageMagick.  It is
 implemented in the form of Java Native Interface (JNI) into the
 ImageMagick API.
 .
 JMagick does not attempt to make the ImageMagick API
 object-oriented. It is merely a thin interface layer into the
 ImageMagick API.
 .
 JMagick currently only implements a subset of ImageMagick APIs.
 Should you require unimplemented features in JMagick, please join the
 mailing list and make a request.
 .
 This package contains javadoc generated documentation.

Package: libjmagick6-jni
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A java interface to ImageMagick - native library
 JMagick is an open source Java interface of ImageMagick.  It is
 implemented in the form of Java Native Interface (JNI) into the
 ImageMagick API.
 .
 JMagick does not attempt to make the ImageMagick API
 object-oriented. It is merely a thin interface layer into the
 ImageMagick API.
 .
 JMagick currently only implements a subset of ImageMagick APIs.
 Should you require unimplemented features in JMagick, please join the
 mailing list and make a request.
 .
 This package contains the native interface to ImageMagick.  It is
 loaded at runtime into the Java Virtual Machine (JVM).

=== debian/rules ===
#!/usr/bin/make -f

JAVA_HOME	:= /usr/lib/jvm/default-java

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/class/makefile.mk

CC=gcc
DEB_CONFIGURE_SCRIPT_ENV += PATH=$(JAVA_HOME)/bin:$$PATH
DEB_CONFIGURE_EXTRA_FLAGS = --libdir=/usr/lib/jni --with-java-home=$(JAVA_HOME)
DEB_MAKE_CLEAN_TARGET   = clean
DEB_MAKE_BUILD_TARGET   = all
DEB_MAKE_INSTALL_TARGET = install DESTDIR=$(DEB_DESTDIR)
DEB_MAKE_CHECK_TARGET   =
DEB_DH_INSTALL_SOURCEDIR = debian/tmp
DEB_COMPRESS_EXCLUDE = .java

install/libjmagick6-java::
	mkdir -p $(DEB_DESTDIR)/usr/share/java
	install -m 644 -D ./lib/jmagick.jar $(DEB_DESTDIR)/usr/share/java/jmagick6-$(DEB_UPSTREAM_VERSION).jar
	dh_install --sourcedir=debian/tmp usr/share/java/jmagick6-$(DEB_UPSTREAM_VERSION).jar
	dh_link usr/share/java/jmagick6-$(DEB_UPSTREAM_VERSION).jar usr/share/java/jmagick6.jar

install/libjmagick6-jni::
	chrpath -d ./lib/libJMagick.so
	install -m 644 -D ./lib/libJMagick.so ./debian/libjmagick6-jni/usr/lib/jni/libJMagick.so

install/jmagick6-docs::
	mkdir -p ./debian/jmagick6-docs/usr/share/doc/jmagick6-docs/api
	$(MAKE) javadoc DESTDIR=./debian/jmagick6-docs JAVADOC_DIR=./debian/jmagick6-docs/usr/share/doc/jmagick6-docs/api

clean::
	rm -rf Make.def libtool config.cache config.log config.status obj/magick/.libs
	rm -rf autom4te.cache

.PHONY: get-orig-source
get-orig-source:
	uscan --upstream-version 0

=== debian/watch ===
version=3
#http://downloads.jmagick.org/ ([\d\.]*)/ debian debian/orig-tar.sh
http://downloads.jmagick.org/([\d\.]*)/ jmagick-([\d\.]*)-src\.tar\.gz debian debian/orig-tar.sh

## jmagick 6.6.9~20130201~svn99

=== debian/changelog ===
jmagick (6.6.9~20130201~svn99-4) UNRELEASED; urgency=medium

  * update

 -- Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>  Fri, 27 May 2022 15:33:09 +0800

jmagick (6.6.9~20130201~svn99-4) unstable; urgency=medium

  * update version

 -- wangxiangyu <wangxiangyu@uniontech.com>  Fri, 27 May 2022 15:31:43 +0200

jmagick (6.6.9~20130201-svn99-4) unstable; urgency=medium

  * Team upload.

  [ tony mancill ]
  * Apply patch for missing getByteArrayFieldValue prototype.
    - Thanks to Adam Conrad for the patch. (Closes: #727776)

  [ Emmanuel Bourg ]
  * Fixed the build failure with Java 10 (Closes: #897456)
  * Standards-Version updated to 4.1.4
  * Switch to debhelper level 10
  * Removed the build dependency on autotools-dev
  * Use salsa.debian.org Vcs-* URLs

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 11 May 2018 11:50:43 +0200

jmagick (6.6.9~20130201-svn99-3) unstable; urgency=medium

  * Team upload.
  * Moved the package to Git
  * Removed build-dependency on hardening-wrapper. (Closes: #836630)
  * Standards-Version updated to 3.9.8

 -- tony mancill <tmancill@debian.org>  Sun, 04 Sep 2016 21:13:53 -0700

jmagick (6.6.9~20130201-svn99-2) unstable; urgency=medium

  * Team upload
  * Standards-Version updated to 3.9.5
  * Use pkg-config for the imagemagick transition.
    Thanks to Bastien Roucaries (Closes: #747856)

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 12 May 2014 13:32:28 +0200

jmagick (6.6.9~20130201-svn99-1) unstable; urgency=low

  * Team upload.
  * New upstream release (Closes: #714509)
    - Refreshed the patch and added a description
    - Fetch the upstream sources from SVN
  * debian/control:
    - Use canonical URLs for the Vcs-* fields
    - Removed Michael Koch from the uploaders (Closes: #654036)
    - Updated Standards-Version to 3.9.4 (no changes)
    - Updated the URL of the homepage
    - Build depend on debhelper >= 9
  * debian/copyright: Refer to the GPL-2 in /usr/share/common-licenses
  * Use XZ compression for the upstream tarball
  * debian/rules:
    - Install the upstream changelog
    - Generate Java 6 compatible bytecode
    - Include the debug information in the compiled classes
    - Enabled hardening for libJMagick.so
    - Install the Maven artifacts in /usr/share/maven-repo
    - Added the get-orig-pom target to download the pom from Maven central
  * Renamed debian/README.Debian-source to README.source
  * Moved the examples to the documentation package
  * Registered the documentation with doc-base
  * debian/watch: Watch the branches in the SVN repository

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 07 Oct 2013 08:46:56 +0200

jmagick (6.2.6-0-8) unstable; urgency=low

  [ Niels Thykier ]
  * Team upload.
  * Reduced B-D on default-jdk-builddep to default-jdk.
  * Removed unneeded dependency on JREs for a java library.
  * Bumped Standards-Version to 3.9.1 - no changes required.

  [ Kumar Appaiah ]
  * Remove myself from Uploaders.

  [ Vincent Fourmond ]
  * Adapt build-depends to newer imagemagick (closes: #625595)
  * Packages now also conforms to standards 3.9.2
  * Remove articles at the beginning of the short description

 -- Vincent Fourmond <fourmond@debian.org>  Mon, 06 Jun 2011 11:12:36 +0200

jmagick (6.2.6-0-7) unstable; urgency=low

  * Change maintainers into Maintainers.

 -- Torsten Werner <twerner@debian.org>  Sun, 11 Apr 2010 21:46:53 +0200

=== debian/rules ===
--- 
+++ 
@@ -15,12 +15,14 @@
 DEB_MAKE_CHECK_TARGET   =
 DEB_DH_INSTALL_SOURCEDIR = debian/tmp
 DEB_COMPRESS_EXCLUDE = .java
+DEB_INSTALL_CHANGELOGS_ALL := Changelog.txt
+DEB_AUTO_UPDATE_AUTOCONF := yes
+VERSION=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^~-]+).*,\1,p')
+
+export JFLAGS = --release 7 -g
 
 install/libjmagick6-java::
-	mkdir -p $(DEB_DESTDIR)/usr/share/java
-	install -m 644 -D ./lib/jmagick.jar $(DEB_DESTDIR)/usr/share/java/jmagick6-$(DEB_UPSTREAM_VERSION).jar
-	dh_install --sourcedir=debian/tmp usr/share/java/jmagick6-$(DEB_UPSTREAM_VERSION).jar
-	dh_link usr/share/java/jmagick6-$(DEB_UPSTREAM_VERSION).jar usr/share/java/jmagick6.jar
+	mh_install
 
 install/libjmagick6-jni::
 	chrpath -d ./lib/libJMagick.so
@@ -31,9 +33,11 @@
 	$(MAKE) javadoc DESTDIR=./debian/jmagick6-docs JAVADOC_DIR=./debian/jmagick6-docs/usr/share/doc/jmagick6-docs/api
 
 clean::
-	rm -rf Make.def libtool config.cache config.log config.status obj/magick/.libs
-	rm -rf autom4te.cache
+	if [ -e Make.def ]; then rm -rf Make.def libtool config.cache config.log config.status obj/magick/.libs; rm -rf autom4te.cache; rm -rf lib/*.jar; mh_clean; fi
+#	rm -rf Make.def libtool config.cache config.log config.status obj/magick/.libs
+#	rm -rf autom4te.cache
+#	rm -rf lib/*.jar
+#	mh_clean
 
-.PHONY: get-orig-source
-get-orig-source:
-	uscan --upstream-version 0
+get-orig-pom:
+	wget http://central.maven.org/maven2/jmagick/jmagick/$(VERSION)/jmagick-$(VERSION).pom -O debian/pom.xml

## jmagick 6.6.9~20130201

=== Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 include $(MAKE_PATH)/Make.def
 
 DIRS = src
-JAR_FILE = $(LIB_DIR)/jmagick.jar
+JAR_FILE = $(LIB_DIR)/jmagick-$(MAJOR).$(MINOR).$(MICRO).jar
 CLEAN_LIST = $(JAR_FILE)
 
 all: dir default-target
@@ -45,5 +45,14 @@
 	$(INSTALL) -d $(DESTDIR)$(libdir)
 	$(INSTALL) $(JAR_FILE) $(DESTDIR)$(libdir)
 
-test:
-	cd src/test; make test
+simpletest::
+	cd test/magicktest; make simpletest
+
+test::
+	cd test/magicktest; CLASSPATH=../../lib/junit.jar make test
+
+looptest::
+	cd test/magicktest; CLASSPATH=../../lib/junit.jar make looptest
+
+generateCorrect::
+	cd test/magicktest; CLASSPATH=../../lib/junit.jar make generateCorrect

=== src/Makefile ===
MAKE_PATH = ..
include $(MAKE_PATH)/Make.def

DIRS = magick

include $(MAKE_PATH)/Make.rules

=== src/magick/Makefile ===
--- 
+++ 
@@ -38,7 +38,6 @@
 			PrimitiveType.java	\
 			RenderingIntent.java	\
 			ResolutionType.java	\
-			XState.java		\
 			MagickProducer.java	\
 			MagickLoader.java	\
 			MagickInfo.java

=== src/magick/util/Makefile ===
include ../../../Make.def

JAVA_SRC_FILES =				\
			DisplayImageMetaData.java	\
			MagickCanvas.java	\
			MagickViewer.java	\
			MagickWindow.java

include ../../../Make.rules

## jmagick 6.6.9~20130201-svn99

=== debian/changelog ===
jmagick (6.6.9~20130201-svn99-5build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 01:26:53 +0000

jmagick (6.6.9~20130201-svn99-5build1) noble; urgency=high

  * No change rebuild against libmagickcore-6.q16-7t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:35:30 +0100

jmagick (6.6.9~20130201-svn99-5) unstable; urgency=medium

  * Team upload
  * d/rules: use java_compat_level variable provided by java-common to
    set Java release level (Closes: #1057510).

 -- Vladimir Petko <vladimir.petko@canonical.com>  Thu, 25 Jan 2024 14:50:47 +1300

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,27 @@
 Source: jmagick
-Maintainer: Debian Java maintainers <pkg-java-maintainers@lists.alioth.debian.org>
-Uploaders: Varun Hiremath <varun@debian.org>, Kumar Appaiah <akumar@debian.org>, Michael Koch <konqueror@gmx.de>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
+Uploaders: Varun Hiremath <varun@debian.org>
 Section: graphics
 Priority: optional
-Standards-Version: 3.8.4
-Build-Depends: debhelper (>= 7), cdbs, default-jdk-builddep, libmagick9-dev, autotools-dev, chrpath
-Homepage: http://www.yeo.id.au/jmagick/
-Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/jmagick
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-java/trunk/jmagick
+Standards-Version: 4.1.4
+Build-Depends: cdbs,
+               chrpath,
+               debhelper (>= 10),
+               default-jdk,
+               libmagickcore-dev,
+               maven-repo-helper,
+	       autoconf
+Vcs-Git: https://salsa.debian.org/java-team/jmagick.git
+Vcs-Browser: https://salsa.debian.org/java-team/jmagick
+Homepage: http://sourceforge.net/projects/jmagick/
 
 Package: libjmagick6-java
 Architecture: all
 Section: java
-Depends: ${misc:Depends}, libjmagick6-jni (>= ${source:Version}), default-jre-headless | java2-runtime-headless
+Depends: ${misc:Depends}, libjmagick6-jni (>= ${source:Version})
 Provides: jmagick
-Description: A java interface to ImageMagick - java classes
+Description: Java interface to ImageMagick
  JMagick is an open source Java interface of ImageMagick.  It is
  implemented in the form of Java Native Interface (JNI) into the
  ImageMagick API.
@@ -32,7 +39,7 @@
 Architecture: all
 Provides: jmagick-docs
 Depends: ${misc:Depends}
-Description: A java interface to ImageMagick - api documentation
+Description: Java interface to ImageMagick (documentation)
  JMagick is an open source Java interface of ImageMagick.  It is
  implemented in the form of Java Native Interface (JNI) into the
  ImageMagick API.
@@ -50,7 +57,7 @@
 Package: libjmagick6-jni
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: A java interface to ImageMagick - native library
+Description: Java interface to ImageMagick (native library)
  JMagick is an open source Java interface of ImageMagick.  It is
  implemented in the form of Java Native Interface (JNI) into the
  ImageMagick API.

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,7 @@
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/autotools.mk
 include /usr/share/cdbs/1/class/makefile.mk
+include /usr/share/java/java_defaults.mk
 
 CC=gcc
 DEB_CONFIGURE_SCRIPT_ENV += PATH=$(JAVA_HOME)/bin:$$PATH
@@ -19,7 +20,7 @@
 DEB_AUTO_UPDATE_AUTOCONF := yes
 VERSION=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^~-]+).*,\1,p')
 
-export JFLAGS = --release 7 -g
+export JFLAGS = --release $(java_compat_level) -g
 
 install/libjmagick6-java::
 	mh_install
@@ -33,11 +34,10 @@
 	$(MAKE) javadoc DESTDIR=./debian/jmagick6-docs JAVADOC_DIR=./debian/jmagick6-docs/usr/share/doc/jmagick6-docs/api
 
 clean::
-	if [ -e Make.def ]; then rm -rf Make.def libtool config.cache config.log config.status obj/magick/.libs; rm -rf autom4te.cache; rm -rf lib/*.jar; mh_clean; fi
-#	rm -rf Make.def libtool config.cache config.log config.status obj/magick/.libs
-#	rm -rf autom4te.cache
-#	rm -rf lib/*.jar
-#	mh_clean
+	rm -rf Make.def libtool config.cache config.log config.status obj/magick/.libs
+	rm -rf autom4te.cache
+	rm -rf lib/*.jar
+	mh_clean
 
 get-orig-pom:
 	wget http://central.maven.org/maven2/jmagick/jmagick/$(VERSION)/jmagick-$(VERSION).pom -O debian/pom.xml

## jmagick 6.7.8

=== test/magicktest/Makefile ===
include ../../Make.def

JAVA_SRC_FILES	=	MagickTesttools.java OldSimpleTest.java Loop.java TestJMagick.java LoopTestJMagick.java GenerateCorrectOutput.java
CLEAN_LIST	=	copy.jpg blank.jpg copy_pics.jpg rotated.jpg \
			sheared.jpg quantized.png scaled.jpg cropped.jpg \
			chopped.jpg sharpened.jpg despeckled.jpg \
			convolved.jpg blob.jpg montage.jpg average.jpg \
			blob.gif transparent.png border.jpg raised.jpg \
			clone.jpg

include ../../Make.rules

# For Solaris and Linux, LD_LIBRARY_PATH sets the shared library path
# For Mac OS X, DYLD_LIBRARY_PATH sets the shared library path

test: default-target 
	cd ../..; LD_LIBRARY_PATH=$(MAGICK_LIB_PATH):lib:$(LD_LIBRARY_PATH) DYLD_LIBRARY_PATH=$(MAGICK_LIB_PATH):lib:$(LD_LIBRARY_PATH) $(JAVA) -classpath $(JAVA_CLASS_PATH):test:lib/junit.jar junit.textui.TestRunner magicktest.TestJMagick

generateCorrect: default-target
	cd ../..; LD_LIBRARY_PATH=$(MAGICK_LIB_PATH):lib:$(LD_LIBRARY_PATH) DYLD_LIBRARY_PATH=$(MAGICK_LIB_PATH):lib:$(LD_LIBRARY_PATH) $(JAVA) -classpath $(JAVA_CLASS_PATH):test:lib/junit.jar magicktest.GenerateCorrectOutput

looptest: default-target 
	cd ../..; LD_LIBRARY_PATH=$(MAGICK_LIB_PATH):lib:$(LD_LIBRARY_PATH) DYLD_LIBRARY_PATH=$(MAGICK_LIB_PATH):lib:$(LD_LIBRARY_PATH) $(JAVA) -classpath $(JAVA_CLASS_PATH):test:lib/junit.jar magicktest.LoopTestJMagick

simpletest: default-target
	mkdir ../simpletest_output; cp pics.jpg ../simpletest_output; cd ../simpletest_output; LD_LIBRARY_PATH=$(MAGICK_LIB_PATH):../../lib:$(LD_LIBRARY_PATH) DYLD_LIBRARY_PATH=$(MAGICK_LIB_PATH):../../lib:$(LD_LIBRARY_PATH) $(JAVA) -classpath $(JAVA_CLASS_PATH) magicktest.OldSimpleTest

test2: default-target
	LD_LIBRARY_PATH=$(MAGICK_LIB_PATH):../../lib:$(LD_LIBRARY_PATH) DYLD_LIBRARY_PATH=$(MAGICK_LIB_PATH):../../lib:$(LD_LIBRARY_PATH) $(JAVA) -classpath $(JAVA_CLASS_PATH) magicktest.Loop pics.jpg

rutest: default-target
	LD_LIBRARY_PATH=$(MAGICK_LIB_PATH):../../lib:$(LD_LIBRARY_PATH) DYLD_LIBRARY_PATH=$(MAGICK_LIB_PATH):../../lib:$(LD_LIBRARY_PATH) $(JAVA) -classpath $(JAVA_CLASS_PATH) test.RUTest

testxx: default-target
	LD_LIBRARY_PATH=$(MAGICK_LIB_PATH):../../lib:$(LD_LIBRARY_PATH) DYLD_LIBRARY_PATH=$(MAGICK_LIB_PATH):../../lib:$(LD_LIBRARY_PATH) $(JAVA) -classpath ImageMagickTest.jar:$(JAVA_CLASS_PATH) ImageMagick.ImageMagickTest

# This target may not work on Mac OS X
lddcheck: default-target
	LD_LIBRARY_PATH=$(MAGICK_LIB_PATH):../../lib:$(LD_LIBRARY_PATH) DYLD_LIBRARY_PATH=$(MAGICK_LIB_PATH):../../lib:$(LD_LIBRARY_PATH) ldd ../../lib/libJMagick.so

=== debian/changelog ===
jmagick (6.7.8-5) unstable; urgency=medium

  * Team upload
  * Really exporting the relevant CFLAGS to build against ImageMagick 7
    (Closes: #1079343, #1086216)

 -- Pierre Gruet <pgt@debian.org>  Sat, 02 Nov 2024 21:58:16 +0100

jmagick (6.7.8-4) unstable; urgency=medium

  * Team upload
  * Using --no-parallel for the build rule as relationships between targets are
    not parallel-proof

 -- Pierre Gruet <pgt@debian.org>  Sun, 06 Oct 2024 22:09:49 +0200

jmagick (6.7.8-3) unstable; urgency=medium

  * Team upload
  * Adding Breaks+Replaces for the -jni package, which contains files that
    libjmagick6-jni also installs (Closes: #1083021)

 -- Pierre Gruet <pgt@debian.org>  Mon, 30 Sep 2024 22:44:09 +0200

jmagick (6.7.8-2) unstable; urgency=medium

  * Team upload
  * Adding Breaks+Replaces for the -java package, which contains files that
    libjmagick6-java also installs
  * Raising Standards version to 4.7.0:
    - Rules-Requires-Root: no
  * Marking the docs package as Multi-Arch: foreign
  * Removing obsolete d/README.source file
  * Setting Section of the -jni package to java
  * s/jmagick6/jmagick7/ in files in the debian/ directory

 -- Pierre Gruet <pgt@debian.org>  Sun, 29 Sep 2024 12:27:25 +0200

jmagick (6.7.8-1) unstable; urgency=medium

  * Team upload
  * New upstream version
  * Refresh patches
  * Update copyright
  * Modernize rules
  * Export MAGICK_VERSION
  * Fix for imagemagick6
  * Add CFLAGS to some compilation path
  * Updating BD
  * Change homepage
  * Adding clean rule
  * Push IM7 flags
  * Do not consider auto test fatal
  * Fixing d/watch

  [ Pierre Gruet ]
  * Putting the Debian-packaged junit4 jar in the test classpath
  * Putting the shared lib in the jni package and adding a symlink from the
    canonical jni directory
  * Using maven-repo-helper in d/rules
  * Filling in d/not-installed to skip the .la and the .jar files in /usr/lib/
  * Adding autopkgtest
  * Updating d/copyright

 -- Bastien Roucariès <rouca@debian.org>  Fri, 27 Sep 2024 06:41:23 +0200

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,30 @@
 Source: jmagick
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Varun Hiremath <varun@debian.org>
 Section: graphics
 Priority: optional
-Standards-Version: 4.1.4
-Build-Depends: cdbs,
-               chrpath,
-               debhelper (>= 10),
+Standards-Version: 4.7.0
+Build-Depends: chrpath,
+               debhelper-compat (= 13),
                default-jdk,
                libmagickcore-dev,
                maven-repo-helper,
-	       autoconf
+               javahelper,
+               libmagickwand-dev,
+               junit4 <!nocheck>,
+               imagemagick <!nocheck>
 Vcs-Git: https://salsa.debian.org/java-team/jmagick.git
 Vcs-Browser: https://salsa.debian.org/java-team/jmagick
-Homepage: http://sourceforge.net/projects/jmagick/
+Homepage: https://github.com/techblue/jmagick
+Rules-Requires-Root: no
 
-Package: libjmagick6-java
+Package: libjmagick7-java
 Architecture: all
 Section: java
-Depends: ${misc:Depends}, libjmagick6-jni (>= ${source:Version})
+Depends: ${misc:Depends}, libjmagick7-jni (>= ${source:Version})
 Provides: jmagick
+Breaks: libjmagick6-java (<< 6.7.8)
+Replaces: libjmagick6-java (<< 6.7.8)
 Description: Java interface to ImageMagick
  JMagick is an open source Java interface of ImageMagick.  It is
  implemented in the form of Java Native Interface (JNI) into the
@@ -34,11 +38,12 @@
  Should you require unimplemented features in JMagick, please join the
  mailing list and make a request.
 
-Package: jmagick6-docs
+Package: jmagick7-docs
 Section: doc
 Architecture: all
 Provides: jmagick-docs
 Depends: ${misc:Depends}
+Multi-Arch: foreign
 Description: Java interface to ImageMagick (documentation)
  JMagick is an open source Java interface of ImageMagick.  It is
  implemented in the form of Java Native Interface (JNI) into the
@@ -54,9 +59,12 @@
  .
  This package contains javadoc generated documentation.
 
-Package: libjmagick6-jni
+Package: libjmagick7-jni
+Section: java
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Breaks: libjmagick6-jni (<< 6.7.8)
+Replaces: libjmagick6-jni (<< 6.7.8)
 Description: Java interface to ImageMagick (native library)
  JMagick is an open source Java interface of ImageMagick.  It is
  implemented in the form of Java Native Interface (JNI) into the

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export JAVA_HOME=/usr/lib/jvm/default-java

%:
	dh $@ --with maven_repo_helper

override_dh_auto_test:
	# not fatal due to be sensible to border and exact version of imagemagick
	dh_auto_test || true

override_dh_auto_build:
	# Dependencies between targets seem not to be 100% correct.
	dh_auto_build --no-parallel

override_dh_link:
	dh_link
	# Creating a symlink from the JNI dir to the shared lib stored in the
	# canonical library directory
	mkdir -p debian/libjmagick7-jni/usr/lib/jni
	cd debian/libjmagick7-jni/usr/lib/jni &&\
	    ln -s ../${DEB_HOST_MULTIARCH}/libJMagick-*.so libJMagick.so

=== debian/tests/control ===
Tests: jmagickExample
Depends: libjmagick7-java, default-jdk

=== debian/watch ===
version=4
opts=\
dversionmangle=auto,\
repacksuffix=+ds,\
filenamemangle=s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,\
downloadurlmangle=s%(api.github.com/repos/[^/]+/[^/]+)/git/refs/%$1/tarball/refs/%g,\
searchmode=plain \
  https://api.github.com/repos/techblue/jmagick/git/matching-refs/tags/ \
  https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/@ANY_VERSION@

#opts=\
#downloadurlmangle=s%(api.github.com/repos/[^/]+/[^/]+)/git/refs/.*%$1/tarball/b4412afd5303aa6aa389b66ccea4bef2eabf0aca%g,\
#oversionmangle=s/.*/6.7.7+git20231123+b4412/g,\
#filenamemangle=s%.*%6.7.7+git20231123+b4412.tar.gz%,\
#searchmode=plain \
#   https://api.github.com/repos/techblue/jmagick/git/matching-refs/tags/ \
#   https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/@ANY_VERSION@
#opts="mode=git, pgpmode=none, pretty=6.7.7+git%cd.%h" \
#  https://github.com/techblue/jmagick \
#  HEAD
